This repository has been archived by the owner. It is now read-only.

ARCH override not working for arm7l #8

Closed
eriknomitch opened this Issue Dec 3, 2017 · 1 comment

Comments

Projects
None yet
2 participants
@eriknomitch

eriknomitch commented Dec 3, 2017

I'm trying the setup installer ($ curl -sSL https://get.ondevice.io/ | sudo bash -) on a Raspberry Pi 3 running Raspbian.

Even if I set the ARCH env var I still get:

------------
Couldn't detect your system architecture (got 'armv7l')
You can specify one manually by setting the $ARCH variable to 'i386', 'amd64' or 'armhf'
------------

uname -m shows me that my architecture is arm7l as shown above which isn't handled in the installer script. I see arch6l on line 49 but not arm7l.

Editing the installer script and setting ARCH=armhf at the top then manually running it fixes the issue.

@mreithub

This comment has been minimized.

Member

mreithub commented Dec 3, 2017

Hi, thanks for reporting.

should be fixed now (by ondevice/get.ondevice.io@78ec6b3 )

Just fyi, this repo is going to be archived soon (the packaging scripts are in the main https://github.com/ondevice/ondevice repo now, the installer script has its own repo at https://github.com/ondevice/get.ondevice.io )

@mreithub mreithub closed this Dec 3, 2017

Sign up for free to subscribe to this conversation on GitHub. Already have an account? Sign in.